Package org.eclipse.mat.hprof

## Class Pass1Parser

- java.lang.Object
- - org.eclipse.mat.hprof.Pass1Parser

    public class Pass1Parser
    extends java.lang.Object

### Constructor Summary

Constructors
`Pass1Parser​(IHprofParserHandler handler, SimpleMonitor.Listener monitor, HprofPreferences.HprofStrictness strictnessPreference)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`long` `biggestArrays()` Total of the size of the k biggest object arrays.
`void` `read​(java.io.File file, java.lang.String prefix, java.lang.String dumpNrToRead, long estimatedLength)`
`static java.lang.Object` `readValue​(IPositionInputStream in, ISnapshot snapshot, int type, int idSize)`
`long` `streamLength()` Find the uncompressed stream length (in case the dump is compressed).

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Pass1Parser

    public Pass1Parser​(IHprofParserHandler handler,
                       SimpleMonitor.Listener monitor,
                       HprofPreferences.HprofStrictness strictnessPreference)

### Method Detail

#### read

    public void read​(java.io.File file,
                     java.lang.String prefix,
                     java.lang.String dumpNrToRead,
                     long estimatedLength)
              throws SnapshotException,
                     java.io.IOException

Throws:
  `SnapshotException`
  `java.io.IOException`

#### biggestArrays

    public long biggestArrays()

Total of the size of the k biggest object arrays. k = number of processors Use to estimate how much more memory parallel parsing will use.

Returns:
  size in bytes

#### streamLength

    public long streamLength()

Find the uncompressed stream length (in case the dump is compressed).

Returns:
  the length in bytes

#### readValue

    public static java.lang.Object readValue​(IPositionInputStream in,
                                             ISnapshot snapshot,
                                             int type,
                                             int idSize)
                                      throws java.io.IOException

Throws:
  `java.io.IOException`